> For the complete documentation index, see [llms.txt](https://docs.mozilla.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mozilla.ai/mcpd/cli-reference/mcpd_config.md).

# config

Manages configuration for MCP servers

## Synopsis

Manages configuration for MCP servers, dealing with environment variables, command line args and exporting config

## Options inherited from parent commands

```
      --config-file string    path to config file (default ".mcpd.toml")
      --log-level string      log level for mcpd logs (default "info")
      --log-path string       log file path to use for log output
      --runtime-file string   path to runtime (execution context) file that contains env vars, and arguments for your MCP servers (default "/home/runner/.config/mcpd/secrets.dev.toml")
```

## SEE ALSO

* [mcpd](/mcpd/cli-reference/mcpd.md) - `mcpd` CLI is the primary interface for developers to interact with, and configure `mcpd`
* [mcpd config args](/mcpd/cli-reference/mcpd_config_args.md) - Manages MCP server command line args configuration
* [mcpd config daemon](/mcpd/cli-reference/mcpd_config_daemon.md) - Manages daemon configuration
* [mcpd config env](/mcpd/cli-reference/mcpd_config_env.md) - Manages environment variable configuration for MCP servers
* [mcpd config export](/mcpd/cli-reference/mcpd_config_export.md) - Exports current configuration, generating a pair of safe and portable configuration files
* [mcpd config plugins](/mcpd/cli-reference/mcpd_config_plugins.md) - Manage plugin configuration
* [mcpd config tools](/mcpd/cli-reference/mcpd_config_tools.md) - Manages tools configuration for a registered MCP server
* [mcpd config volumes](/mcpd/cli-reference/mcpd_config_volumes.md) - Manages volume configuration for MCP servers

**Auto generated by spf13/cobra on 14-Aug-2026**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mozilla.ai/mcpd/cli-reference/mcpd_config.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
